/**
  ******************************************************************************
  * @file    joystick_button.h
  * @author  MCD Application Team
  * @version V1.2.1
  * @date    19-May-2011
  * @brief   Header for joystick_button.c
  ******************************************************************************
  * @attention
  *
  */ 
  
// Define to prevent recursive inclusion -------------------------------------
#ifndef __JOYSTICK_BUTTON_H
#define __JOYSTICK_BUTTON_H

// Includes ------------------------------------------------------------------
#include "stm8l15x.h"
#include "stm8_eval.h"
// Exported types ------------------------------------------------------------

 // Button ID
typedef enum {
    B_NONE = 1,
    B_RELEASED,
    B_PRESSED
} BUTTON_ID_T;

// Exported constants --------------------------------------------------------
// Button Status - bit definition 
#define BUTTON_STATUS_JOYSTICK_DEBOUNCE_ENABLE    0
#define BUTTON_STATUS_BUTTON_DEBOUNCE_ENABLE      1

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------
extern uint8_t ButtonStatus;

// Exported functions --------------------------------------------------------
JOYState_TypeDef ReadJoystick(void);
BUTTON_ID_T ReadButton(void);

#endif /*__JOYSTICK_BUTTON_H */


