/**
  ******************************************************************************
  * @file    demo_help.c
  * @author  MCD Application Team
  * @version V1.2.1
  * @date    19-May-2011
  * @brief   This file contains all the functions for the HELP demo.
  ******************************************************************************
  * @attention
  *
  */ 
    
// Includes ------------------------------------------------------------------
#include "demo_help.h"

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Private macro -------------------------------------------------------------
// Private variables ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------

uint8_t HelpMessageIndex = 0;

  // * @addtogroup Demo_Functions

/**
  * @brief  Update the help message if EXEHELP state selected
  * @param  None
  * @retval None
  */  
void HELP_Exec(void)
{
  JOYState_TypeDef Key;
  
  HelpMessageIndex = 0;

  LCD_SetCursorPos(LCD_LINE1, 0);
  LCD_Print(" LEFT or RIGHT ");
  LCD_SetCursorPos(LCD_LINE2, 0);
  LCD_Print("to scroll menu ");
  GetTimeOutStartTime();

  while (1)
  {

    Key = ReadJoystick();
    if (Key == JOY_UP)
    {
      MenuUpdate(Key);
      return;
    }

    if (TimeOut(HELP_PERIOD) == FALSE)
    {
      // if not, do nothing 
    }
    else
    {
      GetTimeOutStartTime();
      HelpMessageIndex++;
      if (HelpMessageIndex > 2)
      {
        HelpMessageIndex = 0;
      }
      switch (HelpMessageIndex)
      {
        case 0:
          LCD_SetCursorPos(LCD_LINE1, 0);
          LCD_Print(" LEFT or RIGHT ");
          LCD_SetCursorPos(LCD_LINE2, 0);
          LCD_Print("to scroll menu ");
          break;
        case 1:
          LCD_SetCursorPos(LCD_LINE1, 0);
          LCD_Print(" Press SEL to  ");
          LCD_SetCursorPos(LCD_LINE2, 0);
          LCD_Print("enter sub-menu ");
          break;
        case 2:
          LCD_SetCursorPos(LCD_LINE1, 0);
          LCD_Print("   Move UP to  ");
          LCD_SetCursorPos(LCD_LINE2, 0);
          LCD_Print(" exit sub-menu ");
          break;
        default:
          break;
      }
    }

  }

}


